com.h3c.sdn.nodemgr.model

## Enum Entity.ENTRY_TYPE

- java.lang.Object
- - java.lang.Enum<Entity.ENTRY_TYPE>
  - - com.h3c.sdn.nodemgr.model.Entity.ENTRY_TYPE

- All Implemented Interfaces:
    Serializable, Comparable<Entity.ENTRY_TYPE>
  Enclosing class:
    Entity

      public static enum Entity.ENTRY_TYPE
      extends Enum<Entity.ENTRY_TYPE>

  The type of ARP entry static or dynamic

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DYNAMIC`
    `STATIC`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Entity.ENTRY_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Entity.ENTRY_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATIC

          public static final Entity.ENTRY_TYPE STATIC

    - #### DYNAMIC

          public static final Entity.ENTRY_TYPE DYNAMIC

  - ### Method Detail

    - #### values

          public static Entity.ENTRY_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Entity.ENTRY_TYPE c : Entity.ENTRY_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Entity.ENTRY_TYPE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.